com.threerings.whirled.zone.util

## Class ZoneUtil

- java.lang.Object
- - com.threerings.whirled.zone.util.ZoneUtil

    public class ZoneUtil
    extends Object

Server-specific, zone-related utility functions.

### Constructor Summary

Constructors
Constructor and Description
`ZoneUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `qualifyZoneId(byte zoneType, int zoneId)` Composes the zone type and zone id into a qualified zone id.
`static String` `toString(int qualifiedZoneId)` Returns an easier to read representation of the supplied qualified zone id: `type:id`.
`static int` `zoneId(int qualifiedZoneId)` Extracts the zone id from a qualified zone id.
`static int` `zoneType(int qualifiedZoneId)` Extracts the zone type from a qualified zone id.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZoneUtil

    public ZoneUtil()

### Method Detail

#### qualifyZoneId

    public static int qualifyZoneId(byte zoneType,
                                    int zoneId)

Composes the zone type and zone id into a qualified zone id. A qualified zone id is what should be passed around so that the server can determine the zone type from the zone id when necessary.

#### zoneType

    public static int zoneType(int qualifiedZoneId)

Extracts the zone type from a qualified zone id.

#### zoneId

    public static int zoneId(int qualifiedZoneId)

Extracts the zone id from a qualified zone id.

#### toString

    public static String toString(int qualifiedZoneId)

Returns an easier to read representation of the supplied qualified zone id: `type:id`.